Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I'm trying to install Android source and I keep getting this error. I kept with the installation but seems these packages are sort of required to have a complete and successful installation.

this is my error

Package lib32ncurses5-dev is not available, but is referred to by another package.

This may mean that the package is missing, has been obsoleted, or is only available from another source

Package ia32-libs is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'lib32ncurses5-dev' has no installation candidate
E: Package 'ia32-libs' has no installation candidate
E: Unable to locate package lib32readline5-dev
E: Unable to locate package lib32z-dev

I have a VM with Ubuntu on Intel® Core™ i5-2300 CPU @ 2.80GHz and 32-bit system

share|improve this question
    
Can you add a link to your /etc/apt/sources.list? Just drop it on pastebin.ubuntu.com and link it here, thanks! –  Jorge Castro Nov 23 '11 at 3:09
add comment

2 Answers 2

This problem existed on Ubuntu 11.10.

I solved the issue by opening a terminal and used the following command:

sudo apt-get install libncurses5-dev:i386
share|improve this answer
    
the same problem exists –  Rania-Boy Feb 7 at 16:32
add comment

ia32-libs is in the universe component. It sounds like you don't have this repository enabled.

You need to enable it, either in Software Center -> Software Sources, or by editing /etc/apt/sources.list and uncommenting lines with universe at the end.

Don't forget to do an apt-get update (or press Update in Update Manager)

share|improve this answer
    
did that but did not help –  Rania-Boy Feb 7 at 16:31
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.